Get a Profile Attribute Definition
GET
profile-attribute-definitions/{id}
Retrieves a profile attribute definition by its ID.
Resource Information
| Method and URI | GET /AutodeskDM/Services/api/vault/v2/profile-attribute-definitions/{id} |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
* Required
Request
URI Parameters
| id string | The unique identifier of a profile attribute definition. |
Response
HTTP Status Code Summary
| 200 OK | The profile attribute definition was successfully retrieved. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. |
Response
Body Structure (200)
| id string | The unique identifier of the profile attribute definition. |
| attributeName string | Name of the profile attribute (must be unique). |
| systemName string | The internal system name of the profile attribute. |
| activeDirectoryMapping string | Active Directory field the attribute is mapped from (null if not mapped). |
| association enum:string | Specifies which directory objects may use this profile attribute definition. Possible values:
|
| url string | The relative URL to access this object. |
Example
This example illustrates how to get a profile attribute definition by its ID.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/profile-attribute-definitions/2' \
-X 'GET' \
-H 'Accept: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
Response
{
"id": "2",
"attributeName": "Last Name",
"systemName": "LastName",
"activeDirectoryMapping": "sn",
"association": "User",
"url": "/AutodeskDM/Services/api/vault/v2/profile-attribute-definitions/2"
}
Show More